module Wrapybara
	class FileField
		include Element
		
		def initialize(identifier, scope = default_scope, how = default_how)
			@identifier = identifier
			@how = how
			@scope = scope
			xpath = XPath::HTML.file_field(identifier)
			@element = get_element(xpath, scope)
		end
		
		def attach_file(path)
			self.should_exist
			# Capybara method
			@element.set(path)
		end
		
		def should_exist
			super "Expected a file field #{self.element_identifier} to exist"
		end

		def should_not_exist
			super "Did not expect a file field #{self.element_identifier}' to exist"
		end
	end
end