module Wrapybara
	class Form
		include Element
		
		def initialize(identifier, scope = default_scope, how = default_how)
			@identifier = identifier
			@how = how
			@scope = scope
			xpath = "id('#{identifier}') | id(//label[contains(normalize-space(string(.)), '#{identifier}')]/@for)"
			@element = get_element(xpath, scope)
		end
		
		def should_exist
			super "Expected a form #{self.element_identifier} to exist"
		end

		def should_not_exist
			super "Did not expect a form #{self.element_identifier}' to exist"
		end
	end
end