module Wrapybara
	class Label
		include Element
		
		def initialize(identifier, scope = default_scope, how = default_how)
			@identifier = identifier
			@how = how
			@scope = scope
			xpath = "//label[text()='#{identifier}' or @id='#{identifier}' or @for='#{identifier}']"
			@element = get_element(xpath, scope)
		end
		
		def should_exist
			super "Expected a label #{self.element_identifier} to exist"
		end
		
		def should_not_exist
			super "Did not expect a label #{self.element_identifier}' to exist"
		end
	end
end