module Wrapybara
	class PasswordField
		include Element
		include FillableField
		
		def initialize(identifier, scope = default_scope, how = default_how)
			@identifier = identifier
			@how = how
			@scope = scope
			xpath = XPath::HTML.send(:locate_field, XPath.descendant(:input)[XPath.attr(:type).equals('password')], identifier)
			@element = get_element(xpath, scope)
		end
		
		def should_exist
			super "Expected a password field #{self.element_identifier} to exist"
		end

		def should_not_exist
			super "Did not expect a password field #{self.element_identifier}' to exist"
		end
	end
end